# Uses of Interface
org.eclipse.birt.chart.ui.swt.interfaces.IUIServiceProvider

## Uses of IUIServiceProvider in org.eclipse.birt.chart.ui.swt.interfaces

Methods in org.eclipse.birt.chart.ui.swt.interfaces that return IUIServiceProvider
Modifier and Type
Method
Description
`IUIServiceProvider`
IChartWizardContext.`getUIServiceProvider()`
Methods in org.eclipse.birt.chart.ui.swt.interfaces with parameters of type IUIServiceProvider
Modifier and Type
Method
Description
`org.eclipse.birt.chart.ui.swt.AbstractChartInsets`
IChartUIFactory.`createChartInsetsComposite(org.eclipse.swt.widgets.Composite parent, int style, int numberRows, org.eclipse.birt.chart.model.attribute.Insets insets, String sUnits, IUIServiceProvider serviceprovider, org.eclipse.birt.chart.ui.swt.wizard.ChartWizardContext context, org.eclipse.birt.chart.model.attribute.Insets defInsets)`
Create instance of insets composite.
`org.eclipse.swt.widgets.Composite`
ISeriesUIProvider.`getSeriesDataSheet(org.eclipse.swt.widgets.Composite parent, org.eclipse.birt.chart.model.data.SeriesDefinition seriesdefinition, IUIServiceProvider builder, Object oContext)`
Deprecated.